Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.sql
Class SQLResultObjectProvider

    java.lang.Object
      |
      +--kodo.jdbc.sql.SQLResultObjectProvider

All Implemented Interfaces:
  com.solarmetric.util.Closeable, ResultObjectProvider

public class SQLResultObjectProvider
extends Object
implements ResultObjectProvider

Object provider implementation wrapped around a `Result`.

Constructor Summary
`SQLResultObjectProvider(Class pcClass, JDBCStoreManager store, JDBCFetchConfiguration fetch, Result res)` Constructor.
`SQLResultObjectProvider(ClassMapping mapping, JDBCStoreManager store, JDBCFetchConfiguration fetch, Result res)` Constructor.

Method Summary
`boolean` | `absolute(int pos)` Move to the given 0-based position.
`void` | `close()` Free the resources associated with this provider.
`Object` | `getResultObject()` Instantiate the current result object.
`void` | `handleCheckedException(Exception e)` Any checked exceptions that are thrown will be passed to this method.
`boolean` | `next()` Advance the input to the next position.
`void` | `open()` Open the result.
`void` | `reset()` Reset this provider.
`int` | `size()` Return the number of items in the input, or `Integer.MAX_VALUE` if the size in unknown.
`boolean` | `supportsRandomAccess()` Return true if this provider supports random access.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLResultObjectProvider

    public SQLResultObjectProvider(Class pcClass,
                                   JDBCStoreManager store,
                                   JDBCFetchConfiguration fetch,
                                   Result res)

  Constructor.
  Parameters:
    `pcClass` - the base class of the result objects
    `store` - the store manager to delegate loading to
    `fetch` - the fetch configuration, or null for default
    `res` - the result containing the data

### SQLResultObjectProvider

    public SQLResultObjectProvider(ClassMapping mapping,
                                   JDBCStoreManager store,
                                   JDBCFetchConfiguration fetch,
                                   Result res)

  Constructor.
  Parameters:
    `mapping` - the mapping for the base class of the result objects
    `store` - the store manager to delegate loading to
    `fetch` - the fetch configuration, or null for default
    `res` - the result containing the data

Method Detail

### supportsRandomAccess

    public boolean supportsRandomAccess()

  Description copied from interface: `ResultObjectProvider`
  Return true if this provider supports random access.
  Specified by:
    `supportsRandomAccess` in interface `ResultObjectProvider`

### open

    public void open()

  Description copied from interface: `ResultObjectProvider`
  Open the result. This will be called before `ResultObjectProvider.next()`, `ResultObjectProvider.absolute(int)`, or `ResultObjectProvider.size()`.
  Specified by:
    `open` in interface `ResultObjectProvider`

### getResultObject

    public Object getResultObject()
                           throws SQLException

  Description copied from interface: `ResultObjectProvider`
  Instantiate the current result object. This method will only be called after `ResultObjectProvider.next()` or `ResultObjectProvider.absolute(int)`.
  Specified by:
    `getResultObject` in interface `ResultObjectProvider`

### next

    public boolean next()
                 throws SQLException

  Description copied from interface: `ResultObjectProvider`
  Advance the input to the next position. Return `true` if there is more data; otherwise `false`.
  Specified by:
    `next` in interface `ResultObjectProvider`

### absolute

    public boolean absolute(int pos)
                     throws SQLException

  Description copied from interface: `ResultObjectProvider`
  Move to the given 0-based position. This method is only called for providers that support random access. Return `true` if there is data at this position; otherwise `false`. This may be invoked in place of `ResultObjectProvider.next()`.
  Specified by:
    `absolute` in interface `ResultObjectProvider`

### size

    public int size()
             throws SQLException

  Description copied from interface: `ResultObjectProvider`
  Return the number of items in the input, or `Integer.MAX_VALUE` if the size in unknown.
  Specified by:
    `size` in interface `ResultObjectProvider`

### reset

    public void reset()

  Description copied from interface: `ResultObjectProvider`
  Reset this provider. This is an optional operation. If supported, it should move the position of the provider to before the first element. Non-random-access providers may be able to support this method by re-acquiring all resources as if the result were just opened.
  Specified by:
    `reset` in interface `ResultObjectProvider`

### close

    public void close()

  Description copied from interface: `ResultObjectProvider`
  Free the resources associated with this provider.
  Specified by:
    `close` in interface `ResultObjectProvider`

### handleCheckedException

    public void handleCheckedException(Exception e)

  Description copied from interface: `ResultObjectProvider`
  Any checked exceptions that are thrown will be passed to this method. The provider should re-throw the exception as an appropriate unchecked exception.
  Specified by:
    `handleCheckedException` in interface `ResultObjectProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.